Subject: Re: [PATCH] scsi: fix kconfig dependency warnings for SCSI_FC_ATTRS

From: Christoph Hellwig <[email-masked]>
Date: Mon, 22 Sep 2014 09:44:59 -0700

On Mon, Sep 22, 2014 at 11:56:58AM -0400, David Miller wrote:
> > CONFIG_SCSI_QLA_FC currently selects SCSI_FC_ATTRS, so we shouldn't
> > need this here. Also any reason not to switch that one over to a
> > depends as well?
> 
> Christoph, I understand your confusion now, in the networking tree SCSI_QLA_FC
> "depends" on SCSI_FC_ATTRS now, and this is what Randy's patches are against.

Ok.  The fixes look fine for me if you checked they make sense vs the net
tree.

Acked-by: Christoph Hellwig <[email-masked]>